============
Glade 3.40.0
============
	- Remove survey
	- Add user manual menu item (Sabri Ünal)
	- 'Clear' action in "Setup Text Attributes" dialog now clears only selected attributes (crvi)
	- Fix issue #502 sync draw-indicator on setting xalign (Caolán McNamara)
	- Fix issue #499 and #509 "Drop overzealous check using only the first child"
	- Fix Segfault in gnome-builder when widget doesn't have a name (Peter Maatman)
	- Fix issue #373 "Move separator in hamburger menu one up, to be consistent with other GNOME applications"
	- Fix build against Python 3.9
	- Fix issue #484 "Crash with GtkRecentChooserDialog"
	- Fix issue #194 "Using List Store can result in program crash."
	- Fix issue #53 "Can't choose a FileChooserDialog for a FileChooserButton"
	- Fix issue #98 #491
	- Fix issue #355 "Make notification text selectable"
	- Fix windows build on msys
	- Fix issue #360 "No examples in documentation on using custom catalogues with gtkBuilder"
	- Fix issue #406 "AtkObject::accessible-role should not be translatable"
	- Fix issue #479 "Glade 3.36.0 segfaults when opening a file"
	- Fix issue #471 "XML not updated after adding element"
	- Fix issue #474 "GtkLabel: setup text attribute issues"
	- Fix issue #480 "version field not always updated in XML"
	- Fix issue pasing widget with ctrl+v in GtkGrid
	- Fix issue #470 "Widgets of type need placeholders to add children"
	- Fix issue #472 "gnome-nightly: About dialog should display git commit rev"


============
Glade 3.38.0
============

	- Load template files as new GTypes and add them to "User templates" widget group automatically without the need of a catalog
	- Added JavaScript widget support
	- Use version data from gir to improve deprecation/target tests
	- Implement survey using new backend at surveys.gnome.org
	- Keep survey state in config file
	- Associate with application/x-gtk-builder (Caolán McNamara)
	- Project properties dialog improvements. (Use headerbar, stack and stach switcher, add warnings textview)
	- Improve toolkit target version selection in project properties dialog
	- Improve treemodel char data type handling
	- Remove autotools (Iñigo Martínez)
	- New gjs-1.0 1.64 dependency
	- Bump Gtk dependency to 3.24
	- Bump webkit2gtk dependency to 2.28
	- Fixed all compiler/gir warnings
	- Issue #385: GtkCellRendererText causes deprecated warnings for ghost properties
	- Issue #444: show-emoji-icon is missing "minimum version"/since constraint
	- Issue #367: Glade removes double/triple slashes from URLs
	- Issue #452: GtkComboBox cell renderers editor is too hard to discover
	- Issue #363: Toplevel windows are leaked when closing a project
	- Issue #462: Crash when creating a new GtkAssistant and pressing it
	- Issue #463: Specify file on command line
	- Issue #461: Glade resets number of rows and columns in GtkGrid
	- Issue #460: 3.37.0: test suite fails because glade uses incorrectly asserts in test units
	- Issue #412: Fix inconsistent "top-level", "top level", "toplevel" spelling in translatable strings
	- Issue #281: GladeProperty: Do not replace - with _
	- Issue #389: GladeProject: show message on invalid GtkBuilder file
	- Issue #446: GladeGtkListBox: fix size request issue
	- Issue #432: GladeStandarStock, GladeStandarStockImage: fix get_type() functions for introspection
	- Issue #447: GladeGtkWindow: Fix CSD support
	- Issue #456: Utils: use g_param_spec_uchar() for uchar types
	- Issue #459: Gtk catalog: add GtkRecentChooserMenu to Display group
	- Issue #433: Implement survey using new backend at surveys.gnome.org
	- Build: use gtk-mac-integration only when creating bundle (Tom Schoonjans)
	- Ignore locale when saving numeric values (Alberto Fanjul)
	- Remove config for external builds (Alberto Fanjul)
	- Python plugin: fix linking error
	- Tests: add python and javascript test case
	- gtk: Add GtkScrolledWindow propagate-natural-width property (Corentin Noël)
	- GladeScrolledWindowEditor: Squeeze width/height properties in two columns
	- Gtk plugin: add missing displayable values
	- Webkit2gtk plugin: add missing displayable values and sandbox web view
	- dtd: Make init-function an element, not an attribute (Adrien Plazas)

Added/updated translations

	- ca, courtesy of Gil Forcada
	- ca, courtesy of Miquel-Àngel Burgos i Fradeja
	- cs, courtesy of Marek Černocký
	- da, courtesy of Ask Hjorth Larsen
	- da, courtesy of Last-Translator: scootergrisen
	- de, courtesy of Tim Sabsch
	- en_GB, courtesy of Bruce Cowan
	- es, courtesy of Daniel Mustieles
	- eu, courtesy of Asier Sarasua Garmendia
	- fr, courtesy of Thibault Martin
	- gl, courtesy of Fran Dieguez
	- hi, courtesy of Last-Translator:Sunny Sharma
	- hu, courtesy of Balázs Úr
	- id, courtesy of Kukuh Syafaat
	- kk, courtesy of Baurzhan Muftakhidinov
	- ko, courtesy of Changwoo Ryu
	- lt, courtesy of Aurimas Černius
	- pl, courtesy of Piotr Drąg
	- pt_BR, courtesy of Rafael Fontenelle
	- ro, courtesy of Florentina Mușat
	- sl, courtesy of Matej Urbančič
	- sv, courtesy of Anders Jonsson
	- tr, courtesy of Emin Tufan Çetin
	- uk, courtesy of Yuri Chornoivan
	- zh_CN, courtesy of Mandy Wang

============
Glade 3.36.0
============

	- widget: canonicalize support-warning property name
	- tests: Include back GtkTreeViewColumn
	- gtk+: properly cast to avoid warnings
	- gtk+: workaround truncation warning by being safer
	- gladeui: remove unused type_func variable
	- gladeui: Ensure that we write the "type-func" property when a get-type-function is defined in the catalog
	- Allow to specify placeholder to GtkListBox
	- gtk+: Allow to use GtkResponseType with GtkDialog and GtkInfobar buttons
	- gladeui: Change the boolean parsing logic to be the same as Gtk
	- Appdata: update app-id
	- Update FSF address
	- gladeui: Modernize GladeSignalEditor codebase
	- RDNN appdata & desktop file
	- gtk+: Add homogeneous property to GtkStackSwitcher
	- gladeui: Fix wrong pointer convertion in GladeDesignView
	- gtk+: Provide Gtk 3.22 properties for GtkScrolledWindow
	- gtk+: Add missing 3.22 enum/flag values
	- gladeui: Modernize GladeWidgetAdaptor definition
	- gtk+: Keep internationalization context in Atk properties
	- gladeui: Plug tiny leak on Drag & Drop
	- gladeui: Fix crash on drag-n-drop
	- gladeui: fix several tiny memory leaks found with valgrind
	- Make it easier to track GladeXML elements and be GObject Introspection friendly by registering boxed types
	- gladeui: Replace the last occurences of GladeWidgetClass with GladeWidgetAdaptor in the comments
	- gladeui: Use G_DECLARE_FINAL_TYPE for GladeObjectStub
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeNamedIconChooserDialog
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeInspector
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeEditorProperty
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeEditor
	- gladeui: Use G_DECLARE_INTERFACE for GladeEditable
	- gladeui: Use G_DECLARE_INTERFACE for GladeDrag
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeDesignView
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeDesignLayout
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeCommand
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeClipboard
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeCellRendererIcon
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeBaseEditor
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeApp
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeAdaptorChooserWidget
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeEditorSkeleton
	- gladeui: Use G_DECLARE_DERIVABLE_TYPE for GladeEditorTable
	- dnd: Enable Drag&Drop on wayland
	- gladeui: remove implicit cast in assignment
	- build: remove G_CONST_RETURN usage
	- gladeui: ignore various GParameter deprecations
	- Fix on debug traces after rename GladePropertyClass to GladePropertyDef
	- meson: Activate enable-debug variables
	- Prevent dragging an ancestor inside a child
	- GladePopup: Clear add item when adding as toplevel
	- GtkImage: Fix icon size being reset
	- build: Fix OSX support in meson
	- build: Do not use a system variable only for Windows
	- Fix loading dylibs on OSX
	- Set the "About Dialogue" as modal
	- Fix split sentense in GladeProject
	- Adding "Glade" to "About" section.
	- Respect the Glade namespace for macros and defines
	- Rename *Klass to *Class as there are no name collision anymore
	- Fix two memory leaks discovered with valgrind
	- GladeSignalDef: fix documentation for glade_signal_def_set_deprecated
	- Rename GWActionClass to GladeWidgetActionDef to use the right namespace
	- Rename GladePropertyClass to GladePropertyDef and declare it as boxed
	- Rename GladeSignalClass to GladeSignalDef and declare it as boxed
	- Create GladeSettings to hold the settings instead of using a Gtk widget for holding it
	- Add GDK_VERSION_MIN_REQUIRED
	- Utils: get the absolute path but avoid accessing it
	- Fix several compiler warnings
	- Replace some functions by Gtk 3.22 ones
	- GladeSignalClass: rename glade_signal_class_get_type
	- Allow to use GtkFileChooserNative
	- GladeProperty: Keep the bind-source, bind-property and bind-flags elements
	- Couple of fixes for memory leaks found with valgrind
	- GtkLinkButton: allow to edit the label
	- gladeui: Fix several memory leaks with GladeWidgetAdaptor
	- gladeui: Fix leak of create_type in GladePropertyClass
	- gladeui: fix memory leak in GWActionClass
	- introspection: Add many annotations to sources
	- No wide handles in `center_paned` and `left_paned`
	- flatpak: Set meson as buildsystem
	- build: Port to meson build system
	- gtk+: Add deprecated flag to GtkButton and GtkImage stock properties
	- doc: remove missing xml files
	- doc: Modernize the documentation
	- docs: Make some changes to fix warnings with the documentation
	- Add metadata information about releases
	- i18n: Do not use input file for not translated files
	- Fix xgettext string extraction for catalogs
	- snap: update for icon filename changes
	- Add translator comments to the .desktop file
	- gladeui-2.0.pc: Data paths relative to datadir
	- icon: update app icon
	- GladeProject: escape markup in parser errors
	- Use autoreconf instead deprecated gnome-common
	- Stop defaulting missing images to deprecated stock icons
	- Migrate from intltool to gettext
	- gladeui: Fix GIR package reference and add c-include
	- dtd: Add several new elements
	- Add initial implementation of Automatic Templates
	- GladeIntro: fix regresion in find_widget_forall()
	- GladeProject: add handler signals
	- GladeEditor: expose signal editor widget as a property
	- GladeIntro: use name and buildable name to find widgets
	- GladeWindow: simplify pointer mode actions
	- GladeWindow: move actions to GtkApplication
	- GladeEPropAttrs: use sane adjustment values for size and scale attrs
	- GtkActionable: add action-target property
	- Fix tab/space identation
	- GladeWidgetAdaptor: add glade_widget_adaptor_get_display_name()
	- GladeWindow: port to GtkApplication
	- Remove GladeInstantiable prefix from UI
	- GladeGtkBin: add initial support for GtkBin abstract class
	- GladeWidget: add support for abstract classes
	- widget-editor: Replace margin right/left for end/start
	- GladeModelButton: improve editor
	- GladeEditorProperty, GladePropertyClass, GladeWidgetAdaptor:
	- GladeModelButton: enable icon/iconic properties
	- Gtk plugin: add support for GFileIcon
	- Add initial support for GFile type properties
	- Bump Gtk required version to 3.22
	- GladeGtkBox: improve children sort function
	- GladeGtkHeaderBar: Improve position packing property handling
	- Add OARS tags
	- Gtk catalog: mark GtkImageMenuItem as deprecated since 3.10
	- GladeWidgetAdaptor: added deprecated-since metadata
	- GladeImageItemEditor: use display name for commands names
	- GladeCommand: ensure widget name on object properties
	- GladeGtkAdjustment: add digits virtual property
	- GladeEPropNumeric: bind precision property to spin button
	- GladeProperty: add precision property
	- GladePropertyClass: round floating point values to epsilon
	- ui/widget: Make template ver# warning more useful
	- GladeCommand: ignore special child types placeholders in add command. GladeGtkWindow: mark titlebar placeholder as special child type.
	- Gtk Catalog: add back GtkStatusbar
	- GladeGtkHeaderBar: mark title and subtitle as translatable
	- GladeGtkDialog: chain up post_create() method
	- GladeGtkWindow: remove get_children() method
	- GladeAdaptorChooser: add missing translation domain
	- GladeGtkWidget: save accessible-role atk property
	- GladeGtkWindow: fix regression in csd handling

============
Glade 3.22.0
============

	- Fix bug 774994 "in treeview columns editor contextual menu does nothing"
	- Simplified GladeBaseEditor
	- Fix formatting / layout of project verification details (Daniel P. Berrange)
	- Widget chooser: activate treeview with single click and enable Drag & Drop
	- Fix Design view selected state
	- Fixes bug 793036 "GtkCellRenderer Properties not loaded from glade file" (peter Onion)
	- Fix bug in action widgets response-id parsing on 32bits system
	- Fix bug 772485 "File Name property of GtkImage is copied to all other GtkImage"
	- GladeProject: always treat resource properties as relative
	- Fix bug 793652 "Crash when deleting a list"
	- Fix bug 793757 "Gtk-CRITICAL **: _gtk_window_add_popover: assertion '_gtk_widget_get_parent (popover) == NULL' failed"
	- Add GDK_SUPER_MASK accelerator handling (Sebastian Stang)
	- Fix bug #778537 "ActionBar need placeholder"
	- Fix bug #794141 - Gtk.IconView disappeared from glade (Albfan)

============
Glade 3.21.0
============

	- Main window UI overhaul
	- An enhanced enum integer editor based on patch contributed by Lukas K
	- Added GtkGLArea object to gtk+ catalog
	- Initial support for WebKit2GTK+ library
	- Add GtkStackSidebar to control and display widget group
	- Bug 767812 "Please don't list 'Taiwan' as 'Taiwan, Province of China' in the country list"
	- Bug 763188 - Use correct tag when referring to Palette (Sebastian Rasmussen)
	- Fix typo in translatable string; fixing old bug 746531 (Tristan)
	- Fix markup typos (Andre Klapper)

============
Glade 3.20.2
============

	- Fix bug 763624 "Glade interface designer eating ram & cpu" (Arnaud Rebillout)
	- Install appstream metadata to non-deprecated location (Jeremy Bicha)
	- Fix bug 790452 "Glade saves invalid GtkBuilder XML"
	- Fix bug 782645 "GtkLabel xalign and halign appeared in GTK+ 3.16 and are not deprecated" (Arnaud Rebillout)
	- Fix bug 773669 "add background class to GladeDesignLayout children" (Lukas K)

============
Glade 3.20.1
============

	- Fixed glib g_ptr_array_find() name clash
	- Fixed survey css matching error on CSD
	- Fixed bug #773997 "GLADE 3.20: crash on changing ToolItem type"
	- Fixes bug #765562 "Using Spacebar to change menu selction causes crash"
	- Fixed "format not a string literal" warnings (Bastien Nocera)
	- Fixed bug #765885 "client side decoration, no space to add header bar"
	- Fixed bug #589306 - Clicking in ... swap order of accelerators (Roberto Guido)
	- Fixed bug #761651 "[Wayland] glade previewer is resizing windows until it crashes gnome-shell"

============
Glade 3.20.0
============

	- Workspace layout: render frame and selection box with CSS
	- GtkWindow: don't set the same titlebar multiple times (Ben Iofel)
	- Fixed bug 761839: Fix 'glade' command name in user manual (Anders Jonsson)
	- Fixed bug 536840 - Save palette small icon preference (Tristan)
	- Fixed bug 430445 - null string default title for GtkFileChooserButton (Tristan)
	- Integrate new properties in editor for GtkLabel, GtkTextView, GtkPopover, GtkStackSwitcher (Tristan)
	- Fixed bug 750985 - GtkMisc property deprecations (Tristan)
	- Fixed bug 759872 - Show popovers hidden by model buttons (Tristan)
	- Fixed bug 751234 - Ignore tearoff-state property in the workspace (Tristan)
	- Fixed bug 759455 - Avoid showing window decorations in Glade's workspace (Tristan)
	- Fixed bug 759395 - Ignore ESC key press from popovers (Tristan)
	- Fixed bug 760610: Disable scroll events on property editor widgets (Tristan)
	- Support id-less builder files (DX hackfest)
	- Added missing tags to the AppData file (Richard Hughes) 
	- Fixed bug 759847 "Don't crash when popover menu children have no visible-submenu set" Руслан Ижбулатов
	- Added support for GtkActionBar and GtkFlowBox (Matthias Clasen)
	- Main UI frontend: Use wide paned handles (Tristan)
	- Fixed warning about imbalanced children in GtkNotebook support (Tristan)
	- Added support for GtkPopoverMenu and GtkModelButton (Matthias Clasen)
	- Added support for GtkPopover bug 740104 (Matthias Clasen)
	- Fixed bug 754131 "Avoid crashes when loading boxes with center-child children"
	- Added <kudos> section to app data as requested by Richard Hughes.
	- Added missing displayable values bugs 758290, 758289, 758288, 758287 (Matthias Clasen) 
	- Deprecate GtkAction, GtkActivatable, and friends bug 757609 (Ben Iofel)
	- Avoid GTK+ style context warnings bugs 758296, 758297, 758299, 758300 (Matthias Clasen)
	- Drop deprecated style properties in GladeCloseButton bug 758280 (Matthias Clasen)
	- Replace use of deprecated gdk_cursor_new (Ben Iofel)
	- Add "Stack" to "Add parent" menu bug 754030 (Florian Richter)
	- Fixed bug 741923 "build: Add dependency on libm for floor() and ceil()" (Philip Withnall)

============
Glade 3.19.0
============

	- Bug 732328 "New: add python3 support" (Bohuslav "Slavek" Kabrda)
	- Added new symbolic variant of the app icon (747024 - Jakub Steiner)
	- Bug #741165 "Previewer crashes when taking PNG screenshot"
	- Added GtkSidebarWidget support (Matthias Clasen)
	- Added GtkStack and GtkStackSwitcher support (738480 - Matthias Clasen)
	- Added GtkHeaderBar support (bug 700914 - Matthias Clasen)
	- Improved undo/redo command list handling.
	- Added GtkBox center-widget support (bug 738473 - Matthias Clasen)
	- Added GtkSearchBar support (bug 738493 - Matthias Clasen)
	- Support CSD windows (Bug 700914 - Matthias Clasen)
	- Use current gtk-mac-integration API (bug 738339 - Philip Chimento)
	- Fixed bug 732575 "Changed the type hint on the "Edit Separately" window to 'utility'" (Tristan)
	- Fixed bug "Missing plural form for UI string: emited %d time(s)"
	- Avoid reading freed data in glade_project_read_requires (David Shea)
	- Added class chooser popover to workspace. (Bug 708146 "Catalog search entry")
	- Added GThemedIcon support.
	- GladePreviewer: show handler information in infobar when a signal is emited.
	- Migrated UI from stock icons to icon names.
	- Seal needed deprecated API and replaced deprecared API.
	- GladeWindow: only show found recent files.
	- Added GtkLockButton support.

============
Glade 3.18.3
============

	- Fixed property editor focus lost bug with construct-only properties
	- GladePreviewer: Fixed bug previewing templates.
	- Fixed Bug 727914 "Logo is not shown in About-dialog"
	- Fixed Bug 353002 "wrong cursor over widgets"
	- Fixed bug 728377 "sensitivity of mnemonic-widget entry is not correct when loading file" (David Shea)
	- Fixed bug 728348 "impossible to set non-integer values for scale in text attribute dialog" (David Shea)
	- Fixed bug 726410 "Save palette appearance between sessions" (TingPing)

============
Glade 3.18.2
============

	- Added dialog at start up to advertise user survey.
	  Fixes bug 726800 "New: UI break: add dialog to advertise user survey"
	- Fixes bug 727992 "Editing UI and saving does not remove deleted Combo with Entry"
	- Fixed bug 364064 "Property Editor / Common tab: width & height request checkboxes have no effect"

============
Glade 3.18.1
============

	- Fixed Bug 727014 "32 bit builds fail with -Werror=format-security"
	- GtkDialog: disabled use-header-bar property untill Glade supports GtkHeaderBar
	- Fixed bug in numeric property editors (Box size)

============
Glade 3.18.0
============

	- Added License property to Glade project
	- Added realtime preview for custom CSS
	- Added support for previewing templates
	- glade-previewer added --slideshow option
	- Fixed Bug 702314 "Cancelling an Add Parent action is destructive"
	- pango attribute editor: don't write on cancel for color/font (Timm Bäder)
	- Fixed bug 711568 "[PATCH] glade crashes upon startup" (thanks to Lubomir Rintel)
	- Fixed Bug 712289 "Glade silently fails to open malformed ui file"
	- Sort object dependancy before saving using a topological sorting algorithm
	- Fixed Bug 709609 "[PATCH] Change way of sorting before writing XML output."
	- Fixed Bug 711858 "editing glade project results in long CPU usage spikes after upgrading to 3.16 and GTK+3.10" 
	- Fixed <requires> tag output
	- Fixed cellrenderer model column combobox chooser.
	- Fixed issue with numeric property editors.
	- Restored shortcuts function in workspace.
	- Added new jhbuild based bundling system for 64bit linux bundles. (Tristan Van Berkom)
	- Bug 720585 - Fix order of customized property output.
	- gladeui: fix a pair of printf security problems (Ryan Lortie)
	- Added Registration & User Survey Dialog in Help menu
	- Fixed bug 723819 "Correct bounds checking for design view highlight" (Chris Johns)
	- Fixed bug #721098 "Anjuta hangs when opening project"
	- GtkGrid: Don't save width/height at their default values (Kalev Lember)

============
Glade 3.16.0
============

	- Added AppData for gnome-software to pick up glade
	  Fixes bug 708641 "Please include an AppData file"

============
Glade 3.15.4
============

	- Fixed bug when copying a button with custom content.
	- Added workaround for Bug 625867 "RadioButton information lost on cut+paste, add/remove parent, etc"
	- Fixes bug that prevented the runtime object to show the right pixbuf when copying a GtkImage.
	- Fixed Bug 679079 "Glade changes the "homogenous" packing property of toolbar buttons to "yes""
	- Improved pango text integer attributes editors. This should be enough to close Bug 679006
	  "The "size" attribute for labels only accepts integer values (not strings like "larger")"
	- Fixed bug 643923 "Should not use markup for GtkFrame's label"
	- Fixed bug 584381 "Saving as an existing file name except the extension overwrites without confirmation."
	- Fixed Bug 652655 "Setting entry on combobox moves the widget"
	- Fixed Bug 706304 "Python plugin broken by over-zealous version check" Bumped pygobject version to 3.8.0
	- Fixed regresion that prevented loading extra catalog path at init time.

============
Glade 3.15.3
============

	- Add man pages bug 703013 (Matthias Clasen)
	- Fixed bug #700730 - Weird windows showing up when a dock is moved while editing a GtkBuilder file
	  (Sébastien Granjoux)
	- Double click on a toplevel border select the widget even if there is a child selected.
	- Support document level comments present before the root element.
	- Save glade version used to create the file in a comment.
	- Add GtkRevealer to the Gtk+ catalog (Timm Bäder)
	- Add GtkListBox support (Kalev Lember)
	- Added GtkOverlay support
	- Improved Drag&Drop support, made inspector a drag source
	- Added GtkApplicationWindow basic support
	- Added GtkSearchEntry icons 
	- Fix autogen with latest gnome-common bug 706832 (Seán de Búrca)
	- Fix a few typos bug 707173 (Christian Kirbach)
	- Fixed Bug 703621 - Signals treeview: click on user data moves the selected row below (Miguel Azevedo)

============
Glade 3.15.2
============
	- Add GtkPlacesSidebar to GTK+ catalog (Federico Mena Quintero)
	- New icon for GtkMenuButton (Paolo Borelli)
	- GTK+ catalog version now bumped to 3.10, include new translatable enumeration values
          and updated new versions and deprecations
	- Added --enable-debug option and some debug flags to be set with GLADE_DEBUG environment variable
	- Enable word wrapping in combo boxes (used to edit enumeration properties)
	- Split up the GTK+ plugin into mini source files, each one implementing it's own widget adaptor
	  code (instead of one huge glade-gtk.c file)
	- Fix GtkIconFactory sources editor (was very broken)
	- Allow setting the "id" attributes of items set in a GtkComboBoxText
	- Avoid calling gtk_stock_list_ids() when gdk_display_get_default() is NULL, allows GIRs to
	  build on some build machines.
	- Avoid updating the inspector treeview if the same project is set twice (Marco Diego Aurélio Mesquita)
	- Escape key cancels a query dialog instead of approves creation of the new widget
	- Many minor bugs and random crasher bugs also fixed
	- Alsmost all widget types have their own custom editors now

============
Glade 3.15.1
============

	- Much UI fixing and refactoring (Juan Pablo Ugarte)
	- Added new --css and --screenshot options to glade-preview (Juan Pablo Ugarte)
	- Fix main window shortcuts (bug 695866 Juan Pablo Ugarte)
	- Implemented Project Properties dialog with Glade as a composite tempalte (Juan Pablo Ugarte)
	- Support editing the GtkWidget:name property (useful for CSS theming)
	- Improved project inter-widget dependancy calculation and project serialization ordering,
	  object output ordering (and signal ordering) is now consistent and sorted.
	- GtkButton: response-id for dialogs is now optional (allowing adding dialog buttons that
          have no dialog response)
	- GtkImage: Support the new "resource" property
	- GTK+ catalog updated to cover widgets in GTK+ 3.8
	- Now show warnings in the UI for deprecated properties and signals
	- Now show warnings in the Inspector view if any deprecated widgets, signals
	  or properties are used (or if anything is used which is not available in
	  the project's target version).
	- Optional properties are now always saved if they are enabled, allowing
	  to explicitly set them to the default value (eg. GtkWidget:hexpand/vexpand) 
	- Inspector search entry: Restore completions to work nicely again and filter
	  the treeview with a search-in-text algorithm.
	- Inspector: Add a feature to expand-all
	- Property editor title-bar is now optional in the View menu
	- Fixed many deprecation warnings in Glade's compile
	- Added Glade's first 2 ever unit tests
	- Fixed Devhelp doc search for properties (Juan Pablo Ugarte)
	- Make Drag'n'Drop work on regular clicks without entering Drag Mode
	  and restored old Drag/Resize functionality when SHIFT is pressed (Juan Pablo Ugarte)
	- Improved Drag/Resize which has been rather broken for a while
	- Added Autosave and Automatic backup of previous file features, configurable
	  in Glade's preferences Dialog
	- Support Composite GtkBuilder template editing (mark a toplevel GtkWidget as
	  the "composite template" widget in the Project Properties dialog or
	  property editor).
	- Support editing of the project domain in the project properties dialog (Juan Pablo Ugarte)
	- Properties in the Project Properties dialog are now undoable
	- GladeSignalEditor: Automatically expand rows which have signal callbacks assigned when
	  loading a widget
	- Add options to decide what types of warnings should be presented at project save time,
	  configurable in Glade's preferences dialog.
	- Added new property editor components GladePropertyLabel, GladePropertyShell and
	  GladeEditorSkeleton, allowing us to create custom property editors using Glade.
	- Add "Grid" option to "Add parent" menu (Dmitrijs Ledkovs)
	- Added Gladeui catalog for IDE's and embedders to design Glade frontends with Glade
	- Added private catalog to allow the GTK+ plugin to embed editors that it provides
	- Added new GladeEpropCheck boolean property editor, to be used in some cases for
	  boolean properties.
	- Added new adaptor methods GladeWidgetAdaptor->write_widget_after() and
	  GladeWidgetAdaptor->destroy_object()
	- Automatically generate gladeui's enum types with glib-mkenums
	- Modified properties now show up in italic letering instead of bold, bold
	  lettering is reserved for title labels in custom property editors.
	- New components that now use GtkBuilder Composite Templates (and have had
	  a basic review and rework of their UIs): GladePreferences (Glade's preferences
	  dialog), GladeEditor (the property editor), GladeProjectProperties (the project
	  properties dialog) and custom property editors: GladeActivatableEditor,
	  GladeButtonEditor, GladeEntryEditor, GladeImageEditor, GladeLabelEditor, GladeWidgetEditor
	- And... many various bugfixes and UI fixes by Juan Pablo and myself.

============
Glade 3.15.0
============

	- Added Drag&Drop support from the palette and within the workspace.
	- Added GtkLevelBar support
	- Property editor UI cleanup
	    Hide Property editor class title
	    Moved clear and info buttom to the action widget of the notebook.
	    Updated atk icon with gnome's accessibility icon.
	    Text entry: Replaced buttons with 3 dots [...] for a secondary edit icon in the entry itself.
	    Removed treeview from flags editor.
	    Do not let every propery input expand if not nescesary.
	    Boolean input: replaced toggle buttons with a switch.
        - Fixed bug #685265 "Excessively Selected for Translation" Daniel Mustieles
	- Fixed bug #688326 "pointer tracking is off" by using every coordinate relative to GladeDesignLayout.
	- Fixed bug #678922 "When editing a label, the cursor is moved to the end after every change."

============
Glade 3.14.0
============

	- Updated GtkAssistant support. Fixed bug #664276
	- Set new property accel-group on action groups to make menu item accel work properly. Fixes bug 684041
	- Do not abort if a project has a uninstantiable or abstract class object instead load it
	  as an object stub and let the user what to do. bug #646259
	- Fixed runtime warning on GladeBaseEditor and GladeSignalEditor dispose methods
	- Do not explicit set window bg as it should be handled by gtk.
	- Sync close-button with the original gedit widget.
	  This way the proper symbolic close icon is used for the button. (Paolo Borelli)
	- Use new documentation infrastructure (Javier Jardón)
	- Added load/save/edit support for <style> <class name="foo"/> </style>, Fixes bug 658035.
	- Fixed Bug #679589 "Use Action Appearance not supported for GTK 2.12 but added to widgets in Glade 3.8.2"
	- Fixed bug #679487 "Huge memory leaks"
	- Fixed bug #679721 "mac-integration: missing 'widget' variable declaration"
	- Added glade_displayable_value_set_disabled() functions to disable GdkModifierType reserved values
	- Added build/mingw-w64 directory with script to cross compile and create windows installer using nsis
	- Fixes bug #675977 "Don't hard-code library search paths"
	- And many others cleanups and fixes

============
Glade 3.13.0
============

        - Implemented Glade UI in glade! (Use GtkBuilder and GResources to build GladeWindow contents)
        - Implemented GladePreferences dialog.
          Fixes bug 588981 "Catalog support in GUI preferences instead of using environment var"
        - Replaced deprecated font and color selection dialogs with font and color chooser dialogs.
        - Added GladeSignalEditor::detail-suggestions signal
        - Use glade_util_get_placeholder_from_pointer() in paste action activate
        - Fixed bug #675395 "Using right click to add a widget over a placeholder do not work as expected every time"
        - Fixed bug #675042 "plugins/gtk+.xml.in: always store GtkButton [x|y]align properties"
        - Added custom style provider to setup GladeDesignView and GladeDesignLayout background color to @base_color
        - Fixed memory leak on GladeSignalEditor::callback-suggestions emison
        - Removed use of lots of deprecated functions

============
Glade 3.12.0
============

        - Implemented GladeSignalEditor::callback-suggestions signal based
          on patch by Marco Diego Aurélio Mesquita, closes bug #667570
          "Implement callback name suggestion on glade-signal-editor"
        - Fixed bug 664912 "GtkGrid assumes 3x3 (edit)"
        - Fixed bug 645340 "Minor string typo" and bug 646366 "non-sense UI string"
        - Fixed bug 669272 "Emit a signal to notify signal activation" by Marco Diego Aurélio Mesquita

============
Glade 3.11.0
============

	- Added GtkSwitch, GtkInfoBar and GtkEntryCompletion support.
	- Implemented inline margins and alignment edit mode.
	  Now it is posible to change widget's margins and alignment using the mouse.

	- Ignore GtkWindow:icon property. Fixes bug #654121 
          "workaround gtk segfault: icon on gtkwindow segfault in offscreen"
	- Bump pygobject requisite to pygobject 3. Fixes bug #658667. Ignacio Casal Quinteiro
	- Make GladeProject change gtk target to 3.0 and warn the user if there are
	  any unknown (deprecated) objects.
	  Fixes bug 652673 "Project versions are ignored" and 376628 "Deletes unknown widget nodes."
        
	- Make documentation parallel installable (bug 646997).
	- Renamed catalog and module environment variables.
	- Properly escape special characters while serializing property values (bug 654609 - Fabien Parent) 
	- Fix GladeProject to notify "row-has-child-toggled" (fixes bug 651673).
	- Fixed size groups widget selection (bug 647984 - Benjamin Otte)
	- Avoid crashing if glade-previewer is not installed
	  (bug 650899 - Johannes Schmid)
        - Optimized loading time by not updating progressbar on every loaded object.
        - Update placeholders when a grid child's width or height child
	  properties change.
        - Ensure 'related-action' and 'use-action-appearance' are serialized in the right order.
        - Correctly detect the required devhelp version - Javier Jardón
        - Fixed TreeModelFilter bug #657164
        - Fixed bug #660607 "Warnings when using GtkGrid created in Glade 3.10"
        - Fixed glade-previewer bugs
          #660874 "glade-previewer fails to open UI files without top windows"
          #660872 "glade-previewer crashes on non-existent files"
        - Fixed loading correct application icon (bug 648487 fix by Stéphane Maniaci).
        - Fixed "variable set but not used" warnings (-Wunused-but-set-variable)

============
Glade 3.10.0
============
	- Fixed some glitches in the new workspace - Juan Pablo Ugarte
	- Removed the unwritten user manual from the menus.
	- Added support for GdkRGBA properties
	- Add support for editing the PangoFontDesctiption in GtkLabel attributes
	- Put File->Properties before Quit in the File menu - Frederic Peters
	- Added GObject introspection generation to the build - Pablo Castellano & Alan Knowles
	- Added support for GtkRecentChooserMenu
	- More last minute sealing of the api (privatized some more files).
	- Created the GladePreview object to handle previews and fixed 
	  preview related bugs - Marco Diego Aurélio Mesquita
	- Added support for editing GtkGrid
	- Icons now available for all widget classes - Florent Thévenet and some by Dolean Samuel.
	- Cleaned up the palette by removing H/V subclasses.
	- Added support for GtkAppChooser* classes.
	- Migrate from PyGTK to PyGObject introspection-based bindings - Craig Keogh
	- Some refactoring of GladeEditable and custom editors in the backend
	- Added a special "deprecation" graphic to overlay on 
	  top of deprecated widget icons.
	- Added high-resolution applicaiton icon - Jakub Steiner / William Jon McCann
	- Refactored the core to automate the management of internal children - Juan Pablo Ugarte
	- Fixed loads of bugs, some fixes by Christopher Aillon, 
	  Craig Keogh, Cosimo Cecchi, Juan Pablo Ugarte

===========
Glade 3.9.2
===========
	- Added signal for IDEs to track created signal editors, Johannes Schmid.
	- Stop installing catalog .xml.in files, Emilio Pozuelo Monfort.
	- Fixed various memory leaks.
	- Removed GtkTreeSelection from the palette, it's only available as the internal
	  child of a GtkTreeView
	- Fixed Drag'n'Drop image drawing with cairo for signal editor, Johannes Schmid with
	  help from Benjamin Otte.
	- Fixed crashes and memory leaks in the GladeBaseEditor (the editor used for menu editing
	  and treeview editing and the like).
	- Edit->Preferences is now File->Properties
	- Removed option for project naming policies, object ids in GtkBuilder are always unique
	  across the whole file.
	- Render project widgets in the workspace offscreen, this gives us more power over the
	  widgets (combo boxes can now be selected, seletion drawing is now enhanced),
	  Juan Pablo Ugarte.
	- Added support for GtkComboBoxText with a customized editor to edit the combo box items.
	- Added GtkRecentFilter and GtkRecentManager to the palette, GtkRecentFilter can specify
	  patterns, mime-types and applications for the filtering.
	- Added support to edit patterns and mime-types for GtkFileFilter
	- Added <add-child-verify-function> to the plugin backend, we now use this to better police
	  user activities in Glade (notably, you cannot paste a widget that is not a GtkToolItem
	  to a GtkToolBar or the like).
	- Renamed various things from glade-3/glade3 to 'glade' (the Glade icon, the bugzilla database,
	  the git repository etc, help from Javier Jardón).
	- Glade now uses GtkApplication and is a single instance application.
	- Added support for editing a GtkOffscreenWindow
	- Changed the workspace to now include all toplevel project objects, selecting an
	  object from the inspector causes the workspace to scroll to the selected widget,
	  Juan Pablo Ugarte.

===========
Glade 3.9.1
===========
	- Added accelerator and tooltip-text properties to menu items and toolitems 
	  in the menu editor (fixes bug 510083).
	- Fixed crashes in liststore editor.
	- Restored italic insensitive state for the < search widgets > text in the
	  inspector search box.
	- Fixed glade.desktop.in.in file to refer to the new 'glade' exec name
	  (fix by Emilio Pozuelo Monfort)
	- Added support for editing GtkToolPalette along with a special tool palette editor.
	- Make GtkToolBar:icon-size an optional property generally set by the theme/settings
	  (like GtkToolBar:toolbar-style property).
	- Removed global selection list from glade-utils.[ch], now all selection is controlled
	  by the relevant project
	- Removed glade_util_class_implements_interface() in favor of g_type_is_a() (closes bug 455734,
	  based on original patch from Juan Pablo Ugarte).
	- Applied patch by Sergio García Lobo to fix bug 487656 and provide mnemonic key access to
	  "Text beside icons" palette option.
	- Added idle function to raise the undocked windows at startup time, closes bug 475421.
	- Fix possible crash when saving new project. bug 622635, fix by Martin Schlemmer.
	- Fixed crash when user performs Drag'n'Drop of < enter column here > and no columns are 
	  yet added (bug 633943).
	- Fixed use of uninitialized variables in warning messages, bug 634325, fix by Alex Merry.
	- Set some default HIG values for widgets as per bug 349447.
	- Make query dialog come with a "Create" button instead of an "OK" button, closes hig bug 503621.
	- Added GtkTextTagTable editor, now GtkTextTag can be added to GtkTextTagTable.
	- Made all GdkColor type properties optional, closes bug 457969.
	- Fixed add/remove parent context menu actions so that they work with parentless widget 
	  references (i.e. you can add a parent to a GtkToolItemGroup's label widget
	  or a GtkButton's image widget, or remove the parent of a child of a label-widget, etc).
	- Expose internal GtkTreeSelection child of GtkTreeView so that "changed" signal 
	  can be connected to. Fixes bug 383766.
	- Included Johannes Schmid's new signal editor work, the GladeSignals are now available
	  via a GtkTreeModel implementation, this does not effect the UI much but allows signals
	  to be Drag'n'Dropped from Glade's signal editor to Anjuta somewhere.
	- Restored GtkFixed/GtkLayout background pattern.
	- Restored old GladePlaceholder background pattern.
	- Fixed mismatching PangoAttributeType with GType, closes bug 597045.

===========
Glade 3.9.0
===========

	- General build fixes for building with GTK+ 3.0, including patches from Johannes Schmid,
	  Matthias Clasen, Javier Jardón and Juan Pablo Ugarte.
	- Included the new Preview feature by Marco Diego Aurélio Mesquita.
	- Various leaks and crashes fixed.
	- GladeWidget becomes GInitiallyUnowned, refcounting improved for project dispose cycles.
	- Handle combo-box entry child properly (bug 581580).
	- Fixed crashes when textview's buffer is deleted, fix by Martin Schlemmer, bug 609748.
	- Restored property order of project objects at save time (glade files no longer container
	  irrelevant diffs).
	- Hide editor properties when the property is not available on the widget, bug 585299, 
	  fix by Marco Diego Aurélio Mesquita.
	- Fixed makefiles as per bug 521713 (patch initially by Daniel Macks).
	- Fixed mixups of properties vs packing properties (bug 637475).
	- Fixed class header of GladeEditor to update when widgets unload (patch by 
	  Marco Diego Aurélio Mesquita, bug 637541).
	- Fixed particalarly nasty crasher bug when loading/saving treestore column definitions,
	  special thanks goes to Benjamin Otte, bug 637563.
	- Add progress bar to notebook tab of currently loading project (now the whole UI doesnt
	  jam up while loading a big project).
	- Fixed notebook tab style to use the new CSS stuff.
	- Removed widgets that are not available in 3.0
	- Completely removed Libglade support
	- Removed GladeClipBoardView completely
	- Removed GladeParameter obsolete code
	- Fixed editor labels to use natural word wrapping
	- Drop GtkTables in editors in favor of GtkGrid
	- Added custom editor for editing GtkActionGroup and managing child actions
	- Ran 'indent' on source base, new Glade coding style more similar to GTK+ style
	- Removed boolean "fixed" catalog attribute, instead <create-widget-function> can
	  be used to specify a derived GladeWidget to be used in the runtime.
	- Use locale-independent strtod & dtostr. Fixes bug 616787, fix by Christian Persch.
	- Applying patch to allow better builds on win32, patch by Dieter Verfaillie, bug 634978.
	- Fixed loaded state of use-action-appearance so that it always
	  loads as FALSE if there is no "related-action" at load time (closes bug 582882).
	- Sealed entire core API, libgladeui-2 will be ABI stable after 3.10 release.
	- Removed GladeApp::update-ui signal, active-project, selection handling and implied
	  commands, everything now must be done in context of a GladeProject.
	- Optimized GladeEditor to load a widget faster by keeping all the cached pages in internal
	  vboxes and not remove/adding them but just hide/showing them (improves object selection
	  time).
	- Optimized frontend to load one palette per project, verifying the palette for version
	  information when the related project is set costs around 1 second, this is now only
	  experienced when the target version is changed in the project prefs dialog.


===========
Glade 3.7.1
===========
	- Changed "Close without saving" acelerator key from 'c' to 'w', (Aaron Brown, bug 612538)
	- Save Glade files with UTF-8 encoding (Christian Persch, bug 596205)
	- Save maximized window state of all windows in session data (Marco Diego Aurélio Mesquita, bug 607670)
	- use g_timeout_add_seconds() (Javier Jardón, bug 581255)
	- Fixed signal name serialization in GtkBuilder format to use '-' instead of '_' (bug 600031)
	- Disable orientation properties completely and disregard them wherever they cause breakage
	  (Federico Mena Quintero, bug 594231)
	- Now print a summery of all missing icons at startup instead of a warning for each missing icon
	- Fixed some remaining crashers introduced by recent GSEAL patches
	- Integrated GtkToolPalette as the internal implementation of Glade's palette (bug 613956).
	- Added tooltip to palette (bug 558983)
	- Revamped internal treeview support, less warnings and better refresh of workspace when
	  editing cell renderer attributes and liststores.
	- Glade now loads/saves the "swapped" <signal> attribute.
	- Signal editor revamped to now:
	   o show documentation links
	   o show warning icons for version mismatches
	   o edit "swapped" attribute
	   o edit the user-data object using an object selection dialog.
	   o now the signal editor is a proper widget-class (Johannes Schmid, bug 618020)
	- Disallow adding of non-scrollable widgets to scrolled windows (now an informative
	  popup comes up instead).
	- Fixed hangs in menu/treeview editors (Marco Diego Aurélio Mesquita, bug 609612)
	- Changed the old glade-cell-renderer-button for a new activatable pixbuf renderer
	  glade-cell-renderer-icon.[ch].
	- Added support to add GtkActions to GtkActionGroups
	- Added support to edit the <accelerator> for an action when in a group.
	- Added notebook tabs to the Glade frontend with informative labels (per open project).
	- Stop showing preferences dialog at startup time (bug 574095)
	- GladeProject now implements GtkTreeModel and GladeInspector view saves lots of code (Johannes Schmid)
	- Allow destruction of GladeApp object (Johannes Schmid, bug 618468).

===========
Glade 3.7.0
===========
	- Fixed loading state of assigned GtkTreeModels of GtkCellRendererCombo objects (bug 566928).
	- Fixed crasher while copying internal widgets (bug 595156)
	- Support silent build when using automake >= 1.11 (Javier Jardón)
	- Proper ordering of GtkAdjustment properties in glade files (bug 578484).
	- Refactoring work for GSEAL (Javier Jardón)
	- Avoid collapsing commands when a project is freshly saved (this fixes a false "unmodified" 
	  state after changing the same property before and after project save) (Marco Diego Aurélio Mesquita)
	- Allow litteral strings as column type definitions in GtkTreeStores (closes bug 597059).
	- Updated Glade GTK+ catalog info to include deprecations, new properties and signals since 2.18 and 2.20 
	  and some translatable strings (brought to you also in part by Johannes H. Jensen for some translatable
	  strings and Javier Jardón for some deprecations), some new objects this consequently adds:
	  o GtkEntryBuffer
	  o GtkSpinner
	  o GtkCellRendererSpinner
	- Fixed crasher editing some data types in the liststore data editor (bug 608011).
	- Enhanced the GtkEntry editor to allow the user to chose between the "text" and the "buffer" exclusively.

===========
Glade 3.6.7
===========
	- Sync up remaining properties at load time (fixes use-action-appearance property
	  and any other unmentioned property states at load time, also unvails broken
	  orientation default value in GTK+, bug 587256).
	- Fixed glitches with use-action-appearance at save time.
	- Make stock button labels save as non-translatable automatically (bug 352446).
	- Fixed crashes when handling GtkTextView in GtkBuilder format.
	- Fixed crashes with editable treeview column types (bug 586715).
	- Detect correct modifiers and buttons to spawn a context menu in a platform
	  independant way (bug 587128).
	- Added --enable-mac-bundle configure argument to resolve paths correctly
	  when building bundles on osx.

===========
Glade 3.6.6
===========
	- Fixed missing image dialogs for packing properties
	- Make assistant page-titles translatable (bug 503146)
	- Make GtkMessageDialog texts translatable (bug 586063)
	- Fixed obscure crash at project load time (James Liggett - bug 585860)
	- Migrated to use non-deprecated symbols from glib/GTK+ (Sam Thursfield - bug 572756) 
	- Introspect lowest GTK+ project dependancy when loading files with missing 
	  versioning info (bug 586046).
	- Fixed runtime path resolutions on osx (bug 586551).

===========
Glade 3.6.5
===========
	- Quartz build support and use ige-mac-integration to setup the menubar
	  as an optional build dependancy.
	- Fixed dissapearing dialogs on ESC (bug 582559)
	- Really fixing widget naming policies again, this time I hope it sticks (bug 580745)
	- Fixed relocated link problems with python plugin build (bug 582982, patch by Arun Raghavan)

===========
Glade 3.6.4
===========
	- Check project naming policy at add_object() time (bug 580745).
	- Fixed bug loading and saving icon sources (Juan Pablo Ugarte)
	- Fixed sizes of fixed/layout children at load time (bug 584334).
	- Enabled popup menus via Apple key for osx (lame but functional).

===========
Glade 3.6.3
===========
	- Maintain current widget selection during commits of related-action
	  (was causing crashes when the selection changed as a result of a commit, bug 578869)
	- GtkButton only accepts real stock *items* and not icons (to use an icon, use a GtkImage
	  with an unrestricted stock icon)
	- Added documentation on integrating Python widgets (Juan Pablo Ugarte)
	- Fixed output format for GtkLabel attributes (bug 579793, patch by Davyd Madeley).
	- Removed hard coded size request to palette (Bug 579624).
	- Made Atk proxy objects always have unique names (bug 579565).
	- Removed buggy query dialog from notebook creation (bug 578727).

===========
Glade 3.6.2
===========
	- Fixed missing properties/attributes when serializing GtkWindows (bug 578211)
	- Fixed loading state of cellrenderer attributes (whether to use attribute or property
	  directly, bug 566928).

New and updated translations
============================
	- Goran Rakic (sr, sr@latin)
	- Jorge Gonzalez (es)

===========
Glade 3.6.1
===========
	- Fixed win32 crasher (bug 575206)
	- Fixed crasher on internal widget selection
	- Fixed libglade regression (libglade needs specific
	  ordering of properties, atk props, signals and accelerators)
	- Fixed MSYS/MinGW build (Bug 576851 – Damon Register)
	- Disable loading and displaying of 'data' property on GtkTreeStore
	  (only GtkListStore understands the 'data' construct).
	- Properly initialize a GValue on stack (bug 577822 - Felix Riemann)

New and updated translations
============================
	-  Petr Kovar, Andre Klapper (cs)
	-  Djihed Afifi (ar)

===========
Glade 3.6.0
===========
	- Fixed bugs 574260, 573513, 573453, 574706, 567809 (Juan Pablo Ugarte, Ryu Jinno, myself)

New and updated translations
============================
	- Kostas Papadimas (el)
	- Claude Paroz (fr)
	- Kenneth Nielsen (da)
	- Ani Peter (ml)
	- Ignacio Casal Quinteiro (gl)
	- Krishnababu K (te)
	- Gintautas Miliauskas (lt)
	- Duarte Loreto (pt)
	- Manoj Kumar Giri (or)
	- Petr Kovar (cs)
	- Milo Casagrande (it)
	- Theppitak Karoonboonyanan (th)
	- Philip Withnall (en_GB)
	- Daniel Nylander (sv)
	- Nickolay V. Shmyrev (ru)
	- Ilkka Tuohela (fi)
	- Christian Kirbach, Hendrik Richter (de)
	- Baris Cicek (tr)
	- Philip Withnall (en_GB)
	- Raivis Dejus (lv)
	- Changwoo Ryu (ko)
	- Jorge Gonzalez (es)
	- Daniel Nylander (sv)
	- Kenneth Nielsen (da)
	- Gabor Kelemen (hu)
	- Inaki Larranaga Murgoitio (eu)
 	- Clytie Siddall (vi)
	- Og Maciel, Jonh Wendell (pt_BR)
	- Claude Paroz (fr)

===========
Glade 3.5.7
===========
	- Added GladeDesignLayout::widget-event signal. Patch by Pavel Kostyuchenko (bug 542337).
	- GObjectify signal editor and allow custom signal editors. by Pavel Kostyuchenko (bug 540691).
	- Make virtual properties in GTK+ 2.16 in order to support running from GTK+ 2.14 and targetting 2.16
	- New activatable editor to handle activatable properties in smart ways.
	- Fix markup in confirm close dialog, patch by Felix Riemann (bug 567450).
	- Marked use-stock property from imagemenuitem to be save-always (bug 568064).

New and updated translations
============================
	- Updated de: Andre Klapper, Hendrik Richter
	- Updated es: Jorge Gonzalez, Jorge González
	- Updated fi: Ilkka Tuohela
	- Updated he: Yair Hershkovitz, yairhr@gmail.com
	- Updated ko: Changwoo Ryu
	- Updated pt_BR: Jonh Wendell

===========
Glade 3.5.6
===========
	- Handling of new entry properties (bug 567454)
	- Added filechooser dialog to pixbuf properties

New and updated translations
============================
	- Updated es: Jorge Gonzalez, Jorge González
	- Updated nb: Kjartan Maraas
	- Updated pt_BR: Og Maciel, Igor Pires Soares

===========
Glade 3.5.5
===========

	- Model data editor improvments (sequential editing mode, better key navigation)
	- Treeview editor revamp, few crashers fixed
	- Few crashers fixed #525839, #522542
	- Expand inspector treeview by default
	- Many more bug fixes including #533471

New and updated translations
============================
	- Updated es: Jorge González, Jorge Gonzalez  <jorgegonz@svn.gnome.org>

===========
Glade 3.5.4
===========
	- Added short readable versions of new enum/flag values
	- Fixed a crasher in the store editor
	- Focus always stays in the store editor when editing cells get cancelled
	- Better resizing in editors (property names/warnings expand, inputs dont)
	- Cleaned up gtk+ includes (Maxim Ermilov - bug 561260)
	- Some code now available under LGPL

===========
Glade 3.5.3
===========
	- Support for GtkIconFactory
	- Support for GtkAccelGroup
	- Support for GtkSizeGroup
	- Support for GtkListStore/GtkTreeStore (some code by Juan Pablo Ugarte)
	- Support for GtkTreeViewColumn, GtkTreeView, GtkIconView and GtkComboBox as GtkCellLayout.
	- Support for GtkCellRenderer derivatives
	- GtkBuilder support for GtkMenu hierarchies
	- New all in one treeview editor, for treeviews combo boxes and icon views
	- Properties and widgets now show warnings in the editor when they have mismatched versions
	- Palette items are insensitive when widgets are unavailable and show warnings when they are deprecated.
	- Text wrapping in property labels (Pavel Kostyuchenko)
	- Editor widget beefed up with icon and class header.
	- Simplified accelerator editor
	- Save window pane positions in session (Juan Pablo Ugarte)
	- New pango attributes editor for GtkLabel:attributes
	- All widgets/properties in glade files are now saved in the same order
	  (GtkTable part: bug 422823 - Pavel Kostyuchenko, and bug 422823)
	- Fixed core to permit working with non GtkWindow toplevel objects/widgets (bug 532636 - Pavel Kostyuchenko)
	- Palette now allows doc searches
	- Notebooks switch pages to display the selected widget
	- Added undoable project conversion routines implemented by catalog plugins
	- Object selection dialogs can now create widgets when a type is specified by the catalog
	- Support GtkBuilder "context" attribute for i18n data (translatable properties)
	- Support for naming your widgets unique across the project or unique across toplevels.
	- Now you can add menus inline inside the toolbar editor.
	- No more copying resource files around, now you can set your local resource path in
	  project preferences and use relative/fullpaths in resource properties (i.e. GdkPixbuf properties
	  and the like). 
	- No more context help mode with buttons, you can get property level help (and clear value) with a context menu  
	- Optimized load routine significantly.
	- Added GladeEditable interface to layout custom pages for property editors, implemented many
	  custom editor layouts.
	- Now you can edit widgets separately from the rest of the project
	- menu/toolbar/treeview editor no longer a modal dialog.
	- Added <search widgets> entry with completion/filter to the inspector widget.
	- Added most of the new needed icons (Mike Gratton - bug 561979, Juan Pablo Ugarte).
	- Simplified and improved stock-id properties to allow use of custom icons from factories.	
	- Fixed input dialog crasher (Juan Pablo Ugarte - bug 543314)
	- Commands now collapse to nothing - Pavel Kostyuchenko
	- Fixed boxed value comparisons by way of comparing unique strings
	  from the plugin (Juan Pablo Ugarte - bug 528511)
	- Fixed project modified state flag glitches (Pavel Kostyuchenko - bug 532017).
	- Prevent hangs in anjuta (Pavel Kostyuchenko - bug 531585).
	- Fixed boldness/italicness in varios treeviews
	- Objects and resource property fields are updated correctly (bug 542335 - fix by Pavel Kostyuchenko)
	- Update loaded assistant pages properly (bug 540531 - fix by Antti Kaijanmäki)
	- Silently ignore unrecognized signals in glade file instead of aborting 
	  (bug 533728 - fix by Pavel Kostyuchenko)
	- Worked around special child type naming discrepencies between formats from the plugin side 
	  (bug 533217 - fix by Pavel Kostyuchenko)
	- response-id now only available for buttons that are in the action area of dialogs (bug 464502)
	- Fixed displayable values (bug 556452), now they are available in the plugin too.
	- Misc bugfixed by Richard Hult, Andreas Henriksson, Vincent Geddes, Claude Paroz, Pavel Kostyuchenko, 
	  Eli Collins, Christian Persch, Theppitak Karoonboonyanan, Kjartan Maraas, Michael Gratton and me.

New and updated translations
============================
	- ar: Anas Afif Emad, Djihed Afifi
	- bg: Yavor Doganov, Alexander Shopov
	- da: Ask Hjorth Larsen
	- de: Christian Kirbach
	- en_GB: David Lodge, Philip Withnall
	- es: Jorge González, Jorge Gonzalez
	- et: Ivar Smolin
	- fi: Ilkka Tuohela
	- fr: Robert-André Mauchin
	- gl: Ignacio Casal Quinteiro
	- gu: Sweta Kothari
	- he: yairhr@gmail.com, Yair Hershkovitz
	- hi: Rajesh Ranjan
	- hu: Gabor Kelemen
	- it: Andrea Zagli
	- ko: Changwoo Ryu
	- ml: Hari Vishnu
	- mr: Sandeep Shedmake
	- nl: Vincent van Adrighem
	- oc: Yannig Marchegay, Yannig Marchegay (Kokoyaya)
	- pl: Tomasz Dominikowski
	- pt: Duarte Loreto
	- pt_BR: Igor Pires Soares, Fabrício Godoy
	- ru: Yuriy Penkin
	- sr.po, sr@latin: Goran Rakić
	- sv: Daniel Nylander
	- th: Theppitak Karoonboonyanan
	- tr: Baris Cicek
	- vi: Clytie Siddall
	- zh_HK: Chao-Hsiung Liao
	- zh_TW: Chao-Hsiung Liao, Abel Cheung

===========
Glade 3.5.2
===========
	- oops, was parsing booleans as doubles, fixed bugs with 
	  builder-unsupported and deprecated.

===========
Glade 3.5.1
===========
	- Added versioning support, you can always chose the target version of
	  your project starting with gtk+ 2.8 - a project preferences dialog has
	  been added where you can switch your format, switch your target version
	  and test for incompatabilities. incompatability error dialogs are also
	  launched on save as. Target versions are saved to the glade file; 
	  TODO: patch GtkBuilder to test the required gtk+ version from
	  <requires lib="gtk+" version="2.8"> and at least warn, also let
	  third party widget developers test thier own versions using builder
	  (all new catalog tags and properties are also documented).

===========
Glade 3.5.0
===========
	- Resurrected GtkScaleButton and GtkVolumeButton
	- We finally have Vincent Geddes's icon choser dialog 
	  (was skipped before because of string changes)
	- Not allowed to have duplicate widget names anymore (bug 442860)
	- Now the first widget in a project shows up automatically
	  when opening the project.
	- Old parser was trashed and rewritten from the ground up.
	- New plugin support for read_widget() and write_widget(), also
	  create_eprop() which allows the plugin to create widgets to
	  edit properties in the editor (accelerators are edited from
	  the plugin now for instance).
	- Dual file format support available, its a beginning, you dont
	  get any of the GObjects that GtkBuilder supports but all widgets
	  you were formerly using with glade can now be loaded/saved in 
	  builder format.
	- Api reference docs for embedders and widget authors ressurected
	  after 2 years, concerning integrating widgets, the docs are
	  practically rewritten.

New and updated translations
============================
	- Priit Laes (et)
	- Laurent Dhima (sq)
	- Baris Cicek (tr)
	- Alexander Shopov (bg)

===========
Glade 3.4.3
===========
	- Backed out GtkScaleButton and GtkVolumeButton since
	  they introduced strings.


===========
Glade 3.4.2
===========
	- Port to gtk 2.12 tooltips API. Bug #500947. - Christian Persch
	- Atk Relations bug fix
	- Added GtkVolumeButton and GtkScaleButton widgets (Ross Burton)
	- Misc fixes 477025, 509128, 388869, 504603, 495853, 506713, 511651,
	  472555, 493418 by Cosimo Cecchi, Yang Hong, Ivan Baldo, Vincent Geddes, 
          Juan Pablo Ugarte, Tristan Van Berkom

New and updated translations
============================
	- Kjartan Maraas (nb)
	- Yuri Kozlov (ru)
	- Stéphane Raimbault (fr)
	- Gintautas Miliauskas (lt)
	- Jovan Naumovski (mk)
	- Luca Ferretti (it)
	- Gabor Kelemen (hu)
	- Claude Paroz (fr)
	- Jonh Wendell (pt_BR)
	- David Lodge (en_GB)
	- Ignacio Casal Quinteiro (gl)
	- Gil Forcada (ca)
	- Ilkka Tuohela (fi)
	- Hendrik Brandt (de)
	- Duarte Loreto (pt)
	- Theppitak Karoonboonyanan (th)
	- Maxim Dziumanenko (uk)
	- Yair Hershkovitz (he)
	- Baris Cicek (tr)
	- Clytie Siddall (vi)
	- Yannig Marchegay (oc)
	- Daniel Nylander (sv)
	- Djihed Afifi (ar)
	- Jorge Gonzalez (es)
	- Takeshi AIHANA (ja)


===========
Glade 3.4.1
===========

	- Crash in Glade Interface Designer: Clicked the GtkInputDial... (bug 480495) - Juan Pablo Ugarte
	- Glade3 hangs when loading certain projects containing GtkAssistants (bug 495057) - J. Ali Harlow
	- Fix options context summary (bug 500940) - Christian Persch
	- Use gtk_widget_get_action (bug 500943) - Christian Persch
	- Icon Theme search path is incorrect for win32 (bug 469854) - Martin Schlemmer
	- Doesn't build on ia64 (bug 499623) - Josselin Mouette
	- Activating "Add Parent" on an internal widget component causes crah (bug 503955) - Juan Pablo Ugarte
	- GtkImage/GdkPixbuf porps misc fixes - Juan Pablo Ugarte

New and updated translations
============================
	- Kjartan Maraas (nb)
	- Matej Urbančič (sl)
	- Ivar Smolin (et)
	- Djihed Afifi (ar)
	- Baris Cicek (tr)
	- Ignacio Casal Quinteiro (gl)
	- Urbančič Matej (sl)
	- Ivar Smolin (et)
	- Changwoo Ryu  (ko)
	- Takeshi AIHANA (ja)
	- Leonardo Ferreira Fontenelle (pt_BR)

===========
Glade 3.4.0
===========

New and updated translations
============================
    - Priit Laes (et)
    - Jorge Gonzalez (es)
    - Ilkka Tuohela (fi)
    - Ignacio Casal Quinteiro (gl)
    - Daniel Nylander (sv)
    - Adam Weinberger (en_CA)
    - Takeshi AIHANA (ja)
    - Raphael Higino (pt_BR)
    - Theppitak Karoonboonyanan (th)
    - Gabor Kelemen (hu)
    - Duarte Loreto (pt)
    - Kenneth Nielsen (da)
    - Clytie Siddall (vi)
    - Alexander Shopov (bg)
    - Gintautas Miliauskas (lt)
    - Jovan Naumovski (mk)
    - Kjartan Maraas (nb)
    - Maxim Dziumanenko (uk)
    - Alessio Frusciante (it)
    - Hendrik Richter (de)
    - Danishka Navin (si)
    - Jamil Ahmed (bn)
    - Claude Paroz (fr)
    - Djihed Afifi (ar)
    - David Lodge (en_GB)
    - Nickolay V. Shmyrev (ru)
    - Artur Flinta (pl)
    - Gil Forcada (ca)

===========
Glade 3.3.4
===========
    - Moved all gtk-doc stuff outside of the template files (now documentations is
      entirely in the source) - Juan Pablo Ugarte
    - Fixed compilation with gcc 2.95 (bug 461923) - Jens Granseuer
    - Sort the stock icon list alphabetically by locale (bug 454003) - Olivier Delhomme
    - Made glade window not maximized by default (bug 462111) reported by Frédéric Bellaiche
    - Added "expand" and "homogeneous" packing properties to toolbar 
      children in the toolbar editor (bug 429409) - Tristan Van Berkom
    - Clipped the signal editor texts to simply say "<type here>" (bug 464505) - Tristan Van Berkom
    - Now saves/restores session data about docking attached state & 
      undocked window sizes/positions - Yevgen Muntyan
    - Added themed icon chooser (currently disabled awaiting freeze break approval)
      (bug 359640) - Vincent Geddes
    - Made toolbar-style an "optional" property and fixed glitches around this property
      (bug 382785) - Vincent Geddes

New and updated translations
============================
    - Daniel Nylander (sv)
    - Theppitak Karoonboonyanan (th)
    - Jorge Gonzalez (es)
    - Leonardo Ferreira Fontenelle (pt_BR)
    - Ilkka Tuohela (fi)
    - Sunil Mohan Adapa (te)
    - Takeshi AIHANA (ja)
    - Adam Weinberger (en_CA)
    - Jovan Naumovski (mk)
    - Duarte Loreto (pt)
    - Priit Laes (et)


===========
Glade 3.3.3
===========
    - Add tab labels by default to notebook pages (bug 345438) - Tristan Van Berkom
    - Now child menu items are selectable (fixed event handling for widgets that are
      not in the logical hierarchy, in 3.3.2 this was a crash actually) - Tristan Van Berkom
    - Now we draw selection in g_signal_connect_after (..."expose-event"...) instead
      of queuing an idle timeout.  - Tristan Van Berkom
    - Fixed the UI to be insensitive when no projects are loaded (some widgets were
      sensitive and causing errors) - Tristan Van Berkom
    - Made it possible to declare a widget class in the catalog without giving a real type, 
      only automatically derive from a type specified in the catalog (bug 352714) - Yevgen Muntyan
    - Defined environment variables GLADE_MODULE_PATH & GLADE_CATALOG_PATH, catalogs will be
      searched in GLADE_CATALOG_PATH and widget libraries/support modules in GLADE_MODULE_PATH. - Tristan Van Berkom
    - Disable Add/Remove parent actions on GtkToolItem, GtkMenu and GtkMenuItem - Tristan Van Berkom
    - misc bugfixes 459953 460272

New and updated translations
============================
    - Jorge Gonzalez (es)
    - Takeshi AIHANA (ja)
    - Daniel Nylander (sv)
    - Clytie Siddall, Nguyễn Thái Ngọc Duy (vi)
    - Ilkka Tuohela (fi)
    - Artur Flinta (pl)
    - Runa Bhattacharjee (bn_IN)
    - Gabor Kelemen (hu)
    - Matic Žgur (sl)

===========
Glade 3.3.2
===========
    - Bindings work has been moved out into a branch
    - Added toolbar item for "Drag/Resize" mode - Tristan Van Berkom
    - Added history lists to undo/redo buttons - Tristan Van Berkom
    - Current notebook page is more consistant (bug 394382) - Tristan Van Berkom
    - Use gnome-common macros in configure.ac/Makefiles (bug 399134) - Christian Persch
    - Fixed lots of compiler warnings from new macros - Vincent Geddes
    - Added a bunch of translatable/displayable values for new enumerations/values - Juan Pablo Ugarte
    - Display some specially marked backend actions in the toolbar - Juan Pablo Ugarte
    - Attempt to reload an open project if the user tries to open it again (bug 450483) - Vincent Geddes
    - Monitor and update project saved state wrt undo (bug 392324) - Vincent Geddes
    - Properly handle dgettext() operations (bug 453105) - Christian Persch)
    - Fixed some hangups (bug 453253) - Juan Pablo Ugarte
    - Remove user name and host from comment in glade file (bug 453174) - Vincent Geddes
    - Now the palette/inspector and property editor are "dockable" (just 
      dock/undock via view menu, nothing fancy) - Tristan Van Berkom
    - Warn about missing displayable values for enums/flags - Juan Pablo Ugarte
    - Fixed glitch with changing notebook pages (bug 456013) - Tristan Van Berkom
    - Implemented "Add/Remove Parent" context menu items for all widgets (bug 343786) - Tristan Van Berkom
    - Added "Remove Slot" action for placeholders inside GtkBoxes (closes bug 387963) - Tristan Van Berkom
    - Markup & mnemonics in labels load properly now (bug 396446) - Tristan Van Berkom
    - Context menu for placeholders now have actions that apply to the widget they are in,
      while "paste" remains contextual to the placeholder in question - Tristan Van Berkom
    - Misc bug fixes 453105 453107 453111 453110 406039 457224 457222... 


===========
Glade 3.3.1
===========
    - Insert before/after & Remove page context menu actions for GtkNotebook (bug 438881) - Juan Pablo Ugarte
    - Remove row/column context menu actions for GtkTable - Juan Pablo Ugarte
    - Fix C89 compilation (bug 444045) - Jens Granseuer
    - Fixed win32 build (bug 444605) - Juan Pablo Ugarte
    - Allow child contextual actions to work on placeholders - Juan Pablo Ugarte
    - Remove 'm4' from EXTRA_DIST (bug 445028) - Vincent Geddes
    - Some misc. win32 build fixes - Vincent Geddes
    - Fixed cut/paste glitches inside notebooks - Tristan Van Berkom
    - Fixed incorrectly loaded stock icons (bug 444959) - Juan Pablo Ugarte
    - Spelling/Translation fixes (bug 419979, 429736) - Vincent Geddes
    - Fixed console warnings (bug 424509) - Vincent Geddes

===========
Glade 3.3.0
===========
    - Allow plugin authors to add context menu items for thier widgets
      (one entry point to act upon a widget, and another to operate on
      a widget's child). - Juan Pablo Ugarte
    - Insert before/after context menu actions for GtkBox & GtkTable (bug 438881) - Juan Pablo Ugarte

===========
Glade 3.2.2
===========
    - Allow properties to be marked "save-always" in the catalog - Juan Pablo Ugarte
    - Set "save-always" on these properties:
      o GtkDialog's "type-hint" - Juan Pablo Ugarte
      o GtkScrolledWindow's "can-focus" - Juan Pablo Ugarte
      o GtkPaned's "resize" and "shrink" (bug 364215) - Tristan Van Berkom
      o GtkButton's "response-id" (bug 410272) -Tristan Van Berkom
    - Now list all activatable signals in the Accelerator key dialog.

New and updated translations
============================
    - Theppitak Karoonboonyanan (th)


===========
Glade 3.2.1
===========
    - Some win32 build issues fixed - Olivier Delhomme
    - Add "GNOME" to Categories (love bug 417618) - Bruno Boaventura
    - Property ordering fixed (bug 396436) - Juan Pablo Ugarte/Christian Persch
    - "label" property of GtkToolButton now translatable - Tristan Van Berkom
    - dont use sscanf in (de)serialization (bug 424547) - Christian Persch/Ivan Baldo
    - workaround "hierarchy-changed" signal crashes in filechooserdialog (bug 415021) - Juan Pablo Ugarte
    - unichar property charachers now properly displayed - Juan Pablo Ugarte
    - Cut/Pasted widgets now behave as expected (bug 432519) - Tristan Van Berkom
    - Inspector expands/scrolls to position upon selections (bug 392225) - Vincent Geddes
    - Negative integer properties work properly now (bug 434207) - Jeff Westerinen
    - Workaround for inputdialog crashes (bug 433975) - Juan Pablo Ugarte
    - Fixed some irrelevent runtime warnings - Juan Pablo Ugarte

New and updated translations
============================
    - Leonardo Ferreira Fontenelle (pt_BR)
    - Ilkka Tuohela (fi)
    - Simos Xenitellis, Nikos Charonitakis (el)
    - Abel Cheung (zh_HK, zh_TW)
    - Daniel Nylander (sv)
    - Maxim Dziumanenko (uk)
    - Luca Ferretti (it)
    - Djihed Afifi (ar)
    - Ani Peter (ml)
    - Takeshi AIHANA (ja)
    - Nickolay V. Shmyrev (ru)
    - Jovan Naumovski (mk)
    - Alexander Shopov (bg)
    - David Lodge (en_GB)
    - Gabor Kelemen (hu)
    - Duarte Loreto (pt)
    - Gintautas Miliauskas (lt)
    - Stéphane Raimbault (fr)
    - Laurent Dhima (sq)
    - Pema Geyleg (dz)
    - Jorge Gonzalez, Claudio Saavedra (es)
    - Kjartan Maraas (nb)
    - Peter Bach (da)


===========
Glade 3.2.0
===========
    - Fixed sources to build with gcc 2.95 (bug 406504) - Jens Granseuer
    - Fixed the imfamous: "Not able to set label and stock separately 
      in GtkImageMenuItems" (bug 397043) - Juan Pablo Ugarte
    - Added remaining missing icons - Vincent Geddes
    - Use locale independent integer and float parsing routines (bug 396433) - Christian Persch
    - Save some properties unconditionally, fixes (bug 412848) - Tristan Van Berkom
    - Revived accelerator & atk relationset properties (bug 383121) - Tristan Van Berkom
    - other bug fixes by Nickolay V. Shmyrev, Christian Persch, Vincent Geddes, Halton Huo

New and updated translations
============================
    - Duarte Loreto (pt)
    - Djihed Afifi (ar)
    - David Lodge (en_GB)
    - Daniel Nylander (sv)
    - Nguyễn Thái Ngọc Duy (vi)
    - Artur Flinta (pl)
    - Stéphane Raimbault (fr)
    - Takeshi AIHANA (ja)
    - Ilkka Tuohela (fi)
    - Nickolay V. Shmyrev (ru)
    - Changwoo Ryu (ko)
    - Ignacio Casal Quinteiro (gl)
    - Kjartan Maraas (nb)
    - Duarte Loreto (pt)
    - Ole Laursen (da)
    - Hendrik Brandt (de)
    - Jovan Naumovski (mk)
    - Raphael Higino, Leonardo Ferreira Fontenelle (pt_BR)
    - Theppitak Karoonboonyanan (th)
    - Gabor Kelemen (hu)
    - Gintautas Miliauskas, Žygimantas Beručka (lt)
    - Josep Puigdemont i Casamajó (ca)
    - Alexander Shopov (bg)
    - Ani Peter (ml)
    - Luca Ferretti (it)
    - Maxim Dziumanenko (uk)
    - Abel Cheung (zh_HK, zh_TW)
    - Nikos Charonitakis, Simos Xenitellis (el)
    - Ilkka Tuohela (fi)

===========
Glade 3.1.5
===========

New features and fixes
======================
    - Fixed build problem with autoconf 2.60 wrt. datarootdir (bug 392379) - Christian Persch
    - Added version to bugzilla info in the .desktop file  (bug 392395) - Christian Persch
    - Bind the gettext domain (bug 397429) - Christian Persch
    - Setup online manual - Vincent Geddes
    - use xmlSubstituteEntitiesDefault() when loading/saving glade files (bug 396311) - anonymous
      patch submitter
    - Use standard "translator-credits" property the standard way in the about dialog - Vincent Geddes
    - GladeCommand refactoring work, allows for multiple paste commands now (bug 345603) - Jeff Westerinen
    - Reorganized package directory structure and adapted makefiles - Vincent Geddes
    - Renamed some things to fit more with the HIG - Vincent Geddes
    - Fixed obnoxious startup errors (bug 399178) - Tristan Van Berkom
    - Implement concept of "use-placeholders" for container adaptors to distinguish
      whether they use placehodlers for thier children (the core handles them
      differently), note that menuitems,fixed,toolbar etc dont use placeholders 
      for thier children - Tristan Van Berkom
    - Fixed packing defaults (a menubar in a HBox is initially expand = False) - Tristan Van Berkom
    - Fixed the layout to not touch default-width/default-height implicitly when resizing the toplevel inside
      the workspace, this required some refactoring too - Tristan Van Berkom
    - Completely reworked event handling, considerably reduced lines of code involved and
      improved stability, also now drag/resize is only available with the SHIFT modifier active, 
      as a side effect, you can now also interact with project widgets in the workspace much
      better. - Tristan Van Berkom
    - Implemented undo/redo for i18n property metadata (bug 352454) - Jeff Westerinen
    - Fixed translations of strings from the catalog and some strings in the about 
      dialog (bug 404917) - Tristan Van Berkom
    - Added the new glade icon - Andreas Nilsson
    - Fixed compilation of python code - Paul
    - Call GNOME_DOC_INIT unconditionally (Bug 392411) - Christian Persch
    - Improved configure check for python - Vincent Geddes

New and updated translations
============================
    - Daniel Nylander (sv)
    - David Lodge (en_GB)
    - Clytie Siddall (vi)
    - Ignacio Casal Quinteiro (gl)
    - Gabor Kelemen (hu)
    - Djihed Afifi (ar)
    - Hendrik Richter (de)
    - A S Alam (pa)
    - Takeshi AIHANA (ja)
    - Duarte Loreto (pt)
    - Jonathan Ernst, Claude Paroz and Stéphane Raimbault (fr)
    - Supranee Thirawatthanasuk, Theppitak Karoonboonyanan (th)
    - Jordi Mas (ca)

===========
Glade 3.1.4
===========

New features and fixes
======================
    - Fixed notebook tabs, frame/expander labels, was all screwed up (bug 373251)
    - Fixed expander interaction (bug 386352)

===========
Glade 3.1.3
===========

New features and fixes
======================
    - Added gtk+ 2.10 widget classes: GtkAssistant, GtkLinkButton, GtkPageSetupUnixDialog,
      GtkPrintUnixDialog, GtkRecentChooserWidget and GtkRecentChooserDialog (Juan Pablo Ugarte)
    - Added user documentation using gnome-doc-utils (Vincent Geddes)
    - Fixed assumption "GtkButton" --> "gtk_button_get_type ()" when loading types from
      the catalog (bug 377435) (Jeff Westerinen)
    - Now there's only one pkg-config file (the original libgladeui-1.0.pc) (Vincent Geddes)
    - Escape strings properly when saving to the xml file (bug 360586 Juan Pablo Ugarte)
      (Merged from stable branch)
    - Fixed saved "gtk-broken-image" stock being saved in all GtkImages (bug 353126) 
      (with help from Jeff Westerinen) (Merged from stable branch)
    - Changed alot of keywords and forward declarations for C++ compilation against glade headers
      (Oliver Nittka)
    - Detect file changes on disk before saving (Vincent Geddes)
    - Fixed a couple of crashers (bug 386563 & 385920).

New and updated translations
============================
    - Djihed Afifi (ar)  (Ported in from stable branch)
    - Ignacio Casal Quinteiro (gl)  (Ported in from stable branch)

===========
Glade 3.1.2
===========

New features and fixes
======================
    - Make the tarball ship translations again by building with intltool 0.35

===========
Glade 3.1.1
===========

New features and fixes
======================
    - Use GtkRecent and removed manual recent project handling (Vincent Geddes)
    - Refactoring of UI frontend & palette code (Vincent Geddes)
    - Selector button from the palette is now hidden and one is placed on the 
      toolbar instead (Vincent Geddes)
    - Refactoring of core/plugin interface, now the plugin derives an adaptor
      type to interface with the core.
    - New bindings framework, this includes a bindings core module and an initial
      implementation of the python binding (Juan Pablo Ugarte)
    - Added core support for plugins to implement actions on the context menu,
      AND support for scripted context menu actions (Juan Pablo Ugarte)
    - Cleanup of gnome catalog code (Juan Pable Ugarte)
    - Misc bugfixes by Vincent, Juan Pablo, Andreas Köhler and myself.

New and updated translations
============================
    - Josep Puigdemont i Casamajó (ca)


===========
Glade 3.1.0
===========

New features and fixes
======================

    - Embedded toplevel widgets - phase one (Vincent Geddes)
    - Integrated one window application layout - phase one (Vincent Geddes)
    - Architechtural change, GladeWidgetClass structures now swapped for
      a GladeWidgetAdaptor object, classes are then generated while reading the
      catalog (thus deffering all the OO mechanics to the GType system).
    - Fixed "-"/"_" mangling in translatable string comments (bug 363598) (Jonas Berlin)

New and updated translations
============================
    - Abel Cheung (zh_HK, zh_TW)
    - Francisco Javier F. Serrador (es)

===========
Glade 3.0.3
===========

New features and fixes
======================
    - Fixed "-" / "_" mangling in translatable string comments (bug 363598) (Jonas Berlin)
    - Fixed "&amp in a label with markup enable saves as an &" (bug 360586) (Juan Pablo Ugarte)
    - Fixed saved "gtk-broken-image" stock being saved in all GtkImages (bug 353126) (Jeff Westerinen & myself)

New and updated translations
============================
    - Abel Cheung (zh_HK, zh_TW)
    - Francisco Javier F. Serrador (es)
    - Ignacio Casal Quinteiro (gl)
    - Josep Puigdemont i Casamajó (ca)
    - Djihed Afifi (ar)

===========
Glade 3.0.2
===========

New features and fixes
======================
    - Fixed some properties to be translatable (reported by Olivier Rolland)
    - Now use non-locale specific functions to write out double values to 
      glade files, revert to use floating precision in adjustments.
    - Signal editor UI improved (bug 127149) (Juan Pablo Ugarte)
    - Reimplemented file drag and drop (bug 352458) (Vincent Geddes)
    - Fixed accelerator dialog segfaults (bug 352825) (Juan Pablo Ugarte)
    - Improved GtkPaned support (bug 345075) (Juan Pablo Ugarte)
    - Backing out multiple consecutive pastes (reopening bug 345603)
      (this fixes menu editor segfaults among other things)
    - Fixed ComboBoxEntry crash (bug 354716) (Juan Pablo Ugarte)
    - Ordering of properties in the editor window 
      (bug 345893) (Juan Pablo Ugarte)
    - Allow a dynamic user-editable comment prepended to the 
      glade file (Bug 342889) (Juan Pablo Ugarte)
    - Added new stock listing that includes the stock "images" (which
      are not gtk+ stock "items"), and enabled them for GtkImage and
      GtkToolItem. (bug 353522)
    - GtkImage now defaults to an initial "gtk-broken-image" stock type.
    - Ignore "enable-grid-lines" 2.10 property on treeview since it causes 
      crashes on load (fixes bug 353611)
    - Added displayable values for "enable-grid-lines" 2.10 property
    - Set some HIG-ish defaults on dialogs
    - Fixed lost icons on images (bug 353126) (Juan Pablo Ugarte)
    - Namespace issues with libglade initial fix (Juan Pablo Ugarte)
    - Few more misc fixes by Juan Pablo and myself.

New and updated translations
============================
    - Changwoo Ryu (ko)
    - David Lodge (en_GB)
    - Francisco Javier F. Serrador (es)

===========
Glade 3.0.1
===========

New features and fixes
======================
    - Pasting a widget does not paste the packing options (bug 345604) (Juan Pablo Ugarte)
    - Now you can paste widgets to your hearts content (bug 345603)
    - Fixed expander widgets (they were missing placeholders).
    - Adjustments are saved witout floating point precision in the glade file (reports of
      glade-- code generator disliking the decimal points).
    - Fixed an embaressing segfault when removing items using the menu/toolbar editor (Juan Pablo)
    - Interface signals are now properly introspected + alphabetically sorted (Juan Pablo)
    - Removed some properties on children internal to composite widgets, properties that
      we're controlled by style properties on the GtkDialog widget (bug 352018).
    - Enhancements to the "Projects" menu + minor UI enhancements (Vincent Geddes)
    - Palette items can be locked down with CNTL-click matching glade-2 behaviour (bug 303679)


===========
Glade 3.0.0
===========

New features and fixes
======================
    - DevHelp integration for a contextual help system
    - GnomeUI and GnomeCanvas plugin (Juan Pablo Ugarte)
    - New "Editor skeleton" provided by the core to ease the plugin's creation
      of custom editors for toolbars and menus and such. (Juan Pablo Ugarte)
    - Toolbar and popup menu support (Juan Pablo Ugarte)
    - Added accelerators property dialog
    - Drag/Resize support extended to GtkTable and GtkBox subclasses 
      (and GnomeCanvas) from only GtkFixed and GtkLayout.
    - Reverted "View" menu to match the Glade 2 style (Yevgen Muntyan)
    - Now glade has 2 icon sets (16x16 & 22x22), all icons available (Vincent Geddes)
    - New awesome palette (Vincent Geddes)
    - Cute cursor when adding widgets (Vincent Geddes)
    - General UI enhancements and desktop integration work (Vincent Geddes)
    - Duplicated widgets id's are unique (Yevgen Muntyan)
    - Spelling mistake fixes from Thierry Moisan and Clytie Siddall
    - Many Many Many misc fixes by Juan Pablo Ugarte, Vincent Geddes, 
      Yevgen Muntyan and myself.
    - Much core/gtk+ backend refactoring done by Juan Pablo and myself.

New and updated translations
============================
    - Funda Wang (zh_CN)
    - Francisco Javier F. Serrador (es)
    - Adam Weinberger (en_CA)
    - Kjartan Maraas (nb, no)
    - Raphael Higino (pt_BR)
    - Clytie Siddall (vi)
    - Jordi Mas (ca)
    - Vincent van Adrighem (nl)
    - Daniel Nylander (sv)
    - Valek Filippov (ru)

==============
glade-3 2.91.1
==============

New features and fixes
======================
    - Full atk property support.
    - Added full documentation with gtk-doc, imported adding-widgets.txt to sgml files.
    - GtkTable packing properties now work seemlessly (Juan Pablo Ugarte)
    - Misc fixes on menu editor (Juan Pablo Ugarte)
    - Filtered out cut/copy/paste accelerators from the editor window (fixing bug 324389)
    - Implemented "Custom widgets" (glade-2 file support)
    - GladeEPropFlags now shows treeview directly in editor (Mikael Hermansson)
    - Added generic object list type to the glade builtin types (currenty used for
      atk relation properties)
    - Added packing property recording mechianism to Create/Delete commands
      (was only there for Cut/Paste)
    - Added file filters "All Files" and "Glade Files" to FileChooser Dialog (Vincent Geddes)
    - Initialize FileChooser to use project->name as loaded filename (Vincent Geddes)
    - Lots of irrelevent properties disabled (Juan Pablo Ugarte)
    - Rewrite of project list menu in glade-project-window (Vincent Geddes)
    - Indicate whether projects have unsaved changes  (Vincent Geddes)
    - Open leafs & scrolled-window position restored on the project view
      when switching projects
    - Added glade-3.pc for module packages to find out where to install
      their modules/catalogs/pixmaps (Yevgen Muntyan)
    - Implemented Adjustments glade-2 style for now (Juan Pablo Ugarte)
    - Manage the sensitivities of all the ui actions in the project window (Vincent Geddes)
    - Removed popt dependancy in favor of glib mechanism (Vincent Geddes)
    - Detect read-only state of projects (Vincent Geddes)
    - Implemented GtkDialog button children layout to match what glade-2 / libglade supports
    - Changed GtkButton editing to support button "label" and "use-underline" properties.
    - Many many misc bug fixes by Juan Pablo Ugarte, Yevgen Muntyan, Vincent Geddes,
      Johannes Schmid and myself.

New and updated translations
============================
    - Adam Weinberger (en_CA)
    - Francisco Javier F. Serrador (es)
    - Clytie Siddall (vi)
    - Jordi Mas (ca)
    - Raphael Higino (pt_BR)
    - Vincent van Adrighem (nl)
    - Daniel Nylander (sv)


==============
glade-3 2.91.0
==============

New features and fixes
======================
   - The amazing new menu editor is here ! (Juan Pablo Ugarte)
   - Added GladeEditorProperty objects, a GtkWidget descendant
     capable of editing properties (one subclass available for
     every method of editing properties).
   - GladeProjectView displays internal widget descriptors and
     special-child-type descriptors
   - Project menu item glitch fixed.
   - Fixed "paste" using keyboard shortcuts
   - Show "save as" dialog on save when previous save failed
   - Added widgets GtkCombo, GtkList, GtkCList, ComboBox & ComboBoxEntry
   - Delete in property editor not to delete project widgets (only text
     in entries).
   - Text properties now scroll (bugzilla 316232)
   - Translate strings from catalog files (this includes translating
     the gtk+.xml.in using intltool & using dgettext on strings parsed
     from the catalog).
   - Implemented command groups (for undo/redo actions on a complex
     series of glade commands), used by the new editor.
   - Undo/Redo buttons now display action content in tooltips.
   - Added GladeEPropObject, generic support for object type properties.
   - Updated plugin writer documentation (widgets/adding-widgets.txt)
   - All project paths are now absolute canonical paths
   - Added GladeEPropResource for resource file type properties,
     glade will try to always keep a copy of all project resources
     in the same directory as the glade file.
   - Fixed signal loading (bug 326715)
   - Fixed persisting i18n metadata (bug 325628)
   - Implemented <requires> functionality in glade files
     (save required plugins and gracefully display errors if
     the requested catalog isnt available).
   - Multiple projects with the same name now supported.
   - Misc bugfixes and code improvements from myself Juan Pablo Ugarte and
     Lluis Sanchez Gual


New and updated translations
============================

   - Funda Wang (zh_CN)
   - Francisco Javier F. Serrador (es)
   - Adam Weinberger (en_CA)
   - Kjartan Maraas (nb, no)
   - Raphael Higino (pt_BR)



What is new in glade-3 2.90.0
=============================

    Everything about glade-3 is definitly new in this first ever
development snapshot, so I give you here a list of all the 
all star players that helped up to this point to make it happen
(anyone I have any kind of record of should be here).

So welcome all to the new, unfinished glade-3, I hope you all enjoy.

Contributors:
=============
 o Chema Celorio
 o Jonathan Blandford
 o Carlos Perello Marin
 o Archit Baweja
 o Ravi Pratap
 o Shane Butler
 o Joe Shaw
 o Kjartan Maraas
 o Michael Meeks
 o James Willcox
 o Joaquín Cuenca Abela
 o Paolo Borelli
 o Tommi Komulainen
 o Damon Chaplin
 o David Hoover
 o Morten Welinder
 o Tristan Van Berkom
 o Ivan, Wong Yat Cheung
 o Gustavo Noronha Silva
 o Richard Hult
 o Mikael Hallendal
 o Naba Kumar
 o Philip Van Hoof
 o Juan Pablo Ugarte

Translators:
============
 o Fatih Demir
 o Christian Rose
 o Pablo Saratxaga
 o Duarte Loreto
 o Zbigniew Chyla
 o Hasbullah Bin Pit
 o Takeshi AIHANA

